Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network55.2.0.0/20
Usable hosts4,094
Subnet mask255.255.240.0
Addresses4,096
Network address
55.2.0.0
Broadcast address
55.2.15.255
First usable
55.2.0.1
Last usable
55.2.15.254
Usable hosts
4,094 (4,096 less the network and broadcast addresses)
Subnet mask
255.255.240.0
Wildcard mask
0.0.15.255 (Cisco ACLs, OSPF)
Prefix length
/20
Type
Public public
Old class
A (default /8)
As numbers
Hex 37020000 · Integer 922877952 to 922882047
Reverse DNS zones
0.2.55.in-addr.arpa
1.2.55.in-addr.arpa
2.2.55.in-addr.arpa
3.2.55.in-addr.arpa
4.2.55.in-addr.arpa
5.2.55.in-addr.arpa
6.2.55.in-addr.arpa
7.2.55.in-addr.arpa
8.2.55.in-addr.arpa
9.2.55.in-addr.arpa
10.2.55.in-addr.arpa
11.2.55.in-addr.arpa
12.2.55.in-addr.arpa
13.2.55.in-addr.arpa
14.2.55.in-addr.arpa
15.2.55.in-addr.arpa
/20 is not on a 8-bit boundary, so it takes 16 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00110111.00000010.00000000.0000000055.2.0.0
Subnet mask11111111.11111111.11110000.00000000255.255.240.0
Network00110111.00000010.00000000.0000000055.2.0.0
Broadcast00110111.00000010.00001111.1111111155.2.15.255
Split into smaller subnets/27

55.2.0.0/20 makes 128 subnets of /27.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
155.2.0.0/2755.2.0.1 to 55.2.0.3055.2.0.3130
255.2.0.32/2755.2.0.33 to 55.2.0.6255.2.0.6330
355.2.0.64/2755.2.0.65 to 55.2.0.9455.2.0.9530
455.2.0.96/2755.2.0.97 to 55.2.0.12655.2.0.12730
555.2.0.128/2755.2.0.129 to 55.2.0.15855.2.0.15930
655.2.0.160/2755.2.0.161 to 55.2.0.19055.2.0.19130
755.2.0.192/2755.2.0.193 to 55.2.0.22255.2.0.22330
855.2.0.224/2755.2.0.225 to 55.2.0.25455.2.0.25530
955.2.1.0/2755.2.1.1 to 55.2.1.3055.2.1.3130
1055.2.1.32/2755.2.1.33 to 55.2.1.6255.2.1.6330
1155.2.1.64/2755.2.1.65 to 55.2.1.9455.2.1.9530
1255.2.1.96/2755.2.1.97 to 55.2.1.12655.2.1.12730
1355.2.1.128/2755.2.1.129 to 55.2.1.15855.2.1.15930
1455.2.1.160/2755.2.1.161 to 55.2.1.19055.2.1.19130
1555.2.1.192/2755.2.1.193 to 55.2.1.22255.2.1.22330
1655.2.1.224/2755.2.1.225 to 55.2.1.25455.2.1.25530
1755.2.2.0/2755.2.2.1 to 55.2.2.3055.2.2.3130
1855.2.2.32/2755.2.2.33 to 55.2.2.6255.2.2.6330
1955.2.2.64/2755.2.2.65 to 55.2.2.9455.2.2.9530
2055.2.2.96/2755.2.2.97 to 55.2.2.12655.2.2.12730
2155.2.2.128/2755.2.2.129 to 55.2.2.15855.2.2.15930
2255.2.2.160/2755.2.2.161 to 55.2.2.19055.2.2.19130
2355.2.2.192/2755.2.2.193 to 55.2.2.22255.2.2.22330
2455.2.2.224/2755.2.2.225 to 55.2.2.25455.2.2.25530
2555.2.3.0/2755.2.3.1 to 55.2.3.3055.2.3.3130
2655.2.3.32/2755.2.3.33 to 55.2.3.6255.2.3.6330
2755.2.3.64/2755.2.3.65 to 55.2.3.9455.2.3.9530
2855.2.3.96/2755.2.3.97 to 55.2.3.12655.2.3.12730
2955.2.3.128/2755.2.3.129 to 55.2.3.15855.2.3.15930
3055.2.3.160/2755.2.3.161 to 55.2.3.19055.2.3.19130
3155.2.3.192/2755.2.3.193 to 55.2.3.22255.2.3.22330
3255.2.3.224/2755.2.3.225 to 55.2.3.25455.2.3.25530
3355.2.4.0/2755.2.4.1 to 55.2.4.3055.2.4.3130
3455.2.4.32/2755.2.4.33 to 55.2.4.6255.2.4.6330
3555.2.4.64/2755.2.4.65 to 55.2.4.9455.2.4.9530
3655.2.4.96/2755.2.4.97 to 55.2.4.12655.2.4.12730
3755.2.4.128/2755.2.4.129 to 55.2.4.15855.2.4.15930
3855.2.4.160/2755.2.4.161 to 55.2.4.19055.2.4.19130
3955.2.4.192/2755.2.4.193 to 55.2.4.22255.2.4.22330
4055.2.4.224/2755.2.4.225 to 55.2.4.25455.2.4.25530
4155.2.5.0/2755.2.5.1 to 55.2.5.3055.2.5.3130
4255.2.5.32/2755.2.5.33 to 55.2.5.6255.2.5.6330
4355.2.5.64/2755.2.5.65 to 55.2.5.9455.2.5.9530
4455.2.5.96/2755.2.5.97 to 55.2.5.12655.2.5.12730
4555.2.5.128/2755.2.5.129 to 55.2.5.15855.2.5.15930
4655.2.5.160/2755.2.5.161 to 55.2.5.19055.2.5.19130
4755.2.5.192/2755.2.5.193 to 55.2.5.22255.2.5.22330
4855.2.5.224/2755.2.5.225 to 55.2.5.25455.2.5.25530
4955.2.6.0/2755.2.6.1 to 55.2.6.3055.2.6.3130
5055.2.6.32/2755.2.6.33 to 55.2.6.6255.2.6.6330
5155.2.6.64/2755.2.6.65 to 55.2.6.9455.2.6.9530
5255.2.6.96/2755.2.6.97 to 55.2.6.12655.2.6.12730
5355.2.6.128/2755.2.6.129 to 55.2.6.15855.2.6.15930
5455.2.6.160/2755.2.6.161 to 55.2.6.19055.2.6.19130
5555.2.6.192/2755.2.6.193 to 55.2.6.22255.2.6.22330
5655.2.6.224/2755.2.6.225 to 55.2.6.25455.2.6.25530
5755.2.7.0/2755.2.7.1 to 55.2.7.3055.2.7.3130
5855.2.7.32/2755.2.7.33 to 55.2.7.6255.2.7.6330
5955.2.7.64/2755.2.7.65 to 55.2.7.9455.2.7.9530
6055.2.7.96/2755.2.7.97 to 55.2.7.12655.2.7.12730
6155.2.7.128/2755.2.7.129 to 55.2.7.15855.2.7.15930
6255.2.7.160/2755.2.7.161 to 55.2.7.19055.2.7.19130
6355.2.7.192/2755.2.7.193 to 55.2.7.22255.2.7.22330
6455.2.7.224/2755.2.7.225 to 55.2.7.25455.2.7.25530
6555.2.8.0/2755.2.8.1 to 55.2.8.3055.2.8.3130
6655.2.8.32/2755.2.8.33 to 55.2.8.6255.2.8.6330
6755.2.8.64/2755.2.8.65 to 55.2.8.9455.2.8.9530
6855.2.8.96/2755.2.8.97 to 55.2.8.12655.2.8.12730
6955.2.8.128/2755.2.8.129 to 55.2.8.15855.2.8.15930
7055.2.8.160/2755.2.8.161 to 55.2.8.19055.2.8.19130
7155.2.8.192/2755.2.8.193 to 55.2.8.22255.2.8.22330
7255.2.8.224/2755.2.8.225 to 55.2.8.25455.2.8.25530
7355.2.9.0/2755.2.9.1 to 55.2.9.3055.2.9.3130
7455.2.9.32/2755.2.9.33 to 55.2.9.6255.2.9.6330
7555.2.9.64/2755.2.9.65 to 55.2.9.9455.2.9.9530
7655.2.9.96/2755.2.9.97 to 55.2.9.12655.2.9.12730
7755.2.9.128/2755.2.9.129 to 55.2.9.15855.2.9.15930
7855.2.9.160/2755.2.9.161 to 55.2.9.19055.2.9.19130
7955.2.9.192/2755.2.9.193 to 55.2.9.22255.2.9.22330
8055.2.9.224/2755.2.9.225 to 55.2.9.25455.2.9.25530
8155.2.10.0/2755.2.10.1 to 55.2.10.3055.2.10.3130
8255.2.10.32/2755.2.10.33 to 55.2.10.6255.2.10.6330
8355.2.10.64/2755.2.10.65 to 55.2.10.9455.2.10.9530
8455.2.10.96/2755.2.10.97 to 55.2.10.12655.2.10.12730
8555.2.10.128/2755.2.10.129 to 55.2.10.15855.2.10.15930
8655.2.10.160/2755.2.10.161 to 55.2.10.19055.2.10.19130
8755.2.10.192/2755.2.10.193 to 55.2.10.22255.2.10.22330
8855.2.10.224/2755.2.10.225 to 55.2.10.25455.2.10.25530
8955.2.11.0/2755.2.11.1 to 55.2.11.3055.2.11.3130
9055.2.11.32/2755.2.11.33 to 55.2.11.6255.2.11.6330
9155.2.11.64/2755.2.11.65 to 55.2.11.9455.2.11.9530
9255.2.11.96/2755.2.11.97 to 55.2.11.12655.2.11.12730
9355.2.11.128/2755.2.11.129 to 55.2.11.15855.2.11.15930
9455.2.11.160/2755.2.11.161 to 55.2.11.19055.2.11.19130
9555.2.11.192/2755.2.11.193 to 55.2.11.22255.2.11.22330
9655.2.11.224/2755.2.11.225 to 55.2.11.25455.2.11.25530
9755.2.12.0/2755.2.12.1 to 55.2.12.3055.2.12.3130
9855.2.12.32/2755.2.12.33 to 55.2.12.6255.2.12.6330
9955.2.12.64/2755.2.12.65 to 55.2.12.9455.2.12.9530
10055.2.12.96/2755.2.12.97 to 55.2.12.12655.2.12.12730
10155.2.12.128/2755.2.12.129 to 55.2.12.15855.2.12.15930
10255.2.12.160/2755.2.12.161 to 55.2.12.19055.2.12.19130
10355.2.12.192/2755.2.12.193 to 55.2.12.22255.2.12.22330
10455.2.12.224/2755.2.12.225 to 55.2.12.25455.2.12.25530
10555.2.13.0/2755.2.13.1 to 55.2.13.3055.2.13.3130
10655.2.13.32/2755.2.13.33 to 55.2.13.6255.2.13.6330
10755.2.13.64/2755.2.13.65 to 55.2.13.9455.2.13.9530
10855.2.13.96/2755.2.13.97 to 55.2.13.12655.2.13.12730
10955.2.13.128/2755.2.13.129 to 55.2.13.15855.2.13.15930
11055.2.13.160/2755.2.13.161 to 55.2.13.19055.2.13.19130
11155.2.13.192/2755.2.13.193 to 55.2.13.22255.2.13.22330
11255.2.13.224/2755.2.13.225 to 55.2.13.25455.2.13.25530
11355.2.14.0/2755.2.14.1 to 55.2.14.3055.2.14.3130
11455.2.14.32/2755.2.14.33 to 55.2.14.6255.2.14.6330
11555.2.14.64/2755.2.14.65 to 55.2.14.9455.2.14.9530
11655.2.14.96/2755.2.14.97 to 55.2.14.12655.2.14.12730
11755.2.14.128/2755.2.14.129 to 55.2.14.15855.2.14.15930
11855.2.14.160/2755.2.14.161 to 55.2.14.19055.2.14.19130
11955.2.14.192/2755.2.14.193 to 55.2.14.22255.2.14.22330
12055.2.14.224/2755.2.14.225 to 55.2.14.25455.2.14.25530
12155.2.15.0/2755.2.15.1 to 55.2.15.3055.2.15.3130
12255.2.15.32/2755.2.15.33 to 55.2.15.6255.2.15.6330
12355.2.15.64/2755.2.15.65 to 55.2.15.9455.2.15.9530
12455.2.15.96/2755.2.15.97 to 55.2.15.12655.2.15.12730
12555.2.15.128/2755.2.15.129 to 55.2.15.15855.2.15.15930
12655.2.15.160/2755.2.15.161 to 55.2.15.19055.2.15.19130
12755.2.15.192/2755.2.15.193 to 55.2.15.22255.2.15.22330
12855.2.15.224/2755.2.15.225 to 55.2.15.25455.2.15.25530

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses